// rsspecan_read_trace_example.h : header file
//

#pragma once


// CSPECANReadExampleDlg dialog
class CSPECANReadExampleDlg : public CDialog
{
// Construction
public:
	ViSession	m_InstrSession;
	void cleanup (ViBoolean deviceClear);
	CSPECANReadExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_RSSPECANREADEXAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_IDQuery;
	BOOL m_Reset;
	BOOL m_Display;
	CString m_Path;
	CString m_ResourceString;
	afx_msg void OnBnClickedGenerate();
	ViStatus rsspecan_status;
	afx_msg void OnBnClickedBrowse();
	afx_msg void OnEnChangeSourcePower();
	afx_msg void OnBnClickedCheck1();
	double m_StartFrq;
	double m_StopFrq;
	double m_FrqStep;
	int m_trace;
	double m_CenterFrq;
	double m_FrqSpan;
};
